For the complete documentation index, see llms.txt. This page is also available as Markdown.

Margin Trading Outstanding (Weekly) (/markets/weekly_margin_interest)

You can get Weekly margin trading outstanding.

Overview

You can get the margin transaction balance (number of shares and value) for each stock as of the end of the week.

Attention

  • No retroactive adjustment will be made to the data that have undergone corporate action.

  • For data dated September 24, 2026 or earlier, data is not provided for weeks with two or fewer business days, such as year-end and New Year holidays. For data dated September 25, 2026 or later, data as of the last business day of the week is provided even for such weeks.

  • Issues that are not listed on the Tokyo Stock Exchange (issues listed separately on local exchanges) are not provided.

  • The specification of this API was changed on September 28, 2026. The changes from the previous specification (in effect until September 27, 2026) are as follows:

    • Added six value fields (ShortMarginOutstandingValue / LongMarginOutstandingValue / ShortNegotiableMarginOutstandingValue / LongNegotiableMarginOutstandingValue / ShortStandardizedMarginOutstandingValue / LongStandardizedMarginOutstandingValue)

    • Added ISINCode

    • Removed Sector17Code / Sector33Code / ScaleCategory / MarginCode

    • Changed the order of the response fields (CompanyName, CompanyNameEnglish, ISINCode and MarketCode are moved right after Code, and IssueType is moved before the outstanding fields)

    • Changed the data update timing (from Tuesday around 4:30 pm JST to Monday around 4:00 pm JST in principle; the next business day if there is a holiday)

    • The SFTP files and the Snowflake view (JQ_WEEKLY_MARGIN_INTEREST_VIEW) have also been replaced with the new layout, including historical data

  • The value fields (ShortMarginOutstandingValue, etc.) are only available for data dated 2026-09-25 or later. For earlier dates, null is set.

  • The value fields (ShortMarginOutstandingValue, etc.) are the contract value at execution. They are not marked to market daily.

Parameter and Response

In your request message, either "code" or "date" must be specified. Combination of parameters in the request and results are as below.

Code
Date
From /To
Results

All historical data of a specific issue.

Data of a specific issue for the specified period.

All listed issue data for the specific date.

Get weekly margin trading outstandings

GET https://api.jquants-pro.com/v2/markets/weekly_margin_interest

Either "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27800 or 2780)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

from

String

starting point of data period

(e.g. 20210901 or 2021-09-01)

to

String

end point of data period

(e.g. 20210907 or 2021-09-07)

date

String

date of data

(e.g. 20210907 or 2021-09-07)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access key

Data Item

Variable
Description
Data type
Remark

Date

Record Date

String

YYYY-MM-DD Base date of margin trading outstandings(usually on Friday)

Code

issue code

String

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

ISINCode

ISIN code

String

MarketCode

Market segment code

String

IssueType

Issue Classifications

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

ShortMarginOutstanding

Total margin trading (negotiable and standardized margin trading) weekend short positions (shares)

Number

LongMarginOutstanding

Total margin trading (negotiable and standardized margin trading) weekend long positions (shares)

Number

ShortNegotiableMarginOutstanding

Negotiable margin trading weekend short positions (shares)

Number

LongNegotiableMarginOutstanding

Negotiable margin trading weekend long positions (shares)

Number

ShortStandardizedMarginOutstanding

Standardized margin trading weekend short positions (shares)

Number

LongStandardizedMarginOutstanding

Standardized margin trading weekend long positions (shares)

Number

ShortMarginOutstandingValue

Total margin trading weekend short positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

LongMarginOutstandingValue

Total margin trading weekend long positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

ShortNegotiableMarginOutstandingValue

Negotiable margin trading weekend short positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

LongNegotiableMarginOutstandingValue

Negotiable margin trading weekend long positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

ShortStandardizedMarginOutstandingValue

Standardized margin trading weekend short positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

LongStandardizedMarginOutstandingValue

Standardized margin trading weekend long positions (value)

Number

Only available for data dated 2026-09-25 or later (null for earlier dates)

Sample Code

Last updated